| Home | Libraries | People | FAQ | More

##### as_deque

###### Description

Returns the result type of __as_deque__.

###### Synopsis

    template <typename Sequence>
    struct as_deque;

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A fusion Sequence | The sequence type to convert.

###### Expression Semantics

    result_of::as_deque<Sequence>::type;

Return type: A `deque` with same elements as the input sequence, `Sequence`.

Semantics: Convert a fusion sequence, `Sequence`, to a `deque`.

###### Header

    #include <boost/fusion/container/deque/convert.hpp>
    #include <boost/fusion/include/as_deque.hpp>

###### Example

    result_of::as_deque<vector<char, int> >::type